Last Comment Bug 740287 - [New tab page] missing thumbnails on an old profile, fixed by deleting disk cache
: [New tab page] missing thumbnails on an old profile, fixed by deleting disk c...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: 13 Branch
: x86 Linux
: -- normal (vote)
: Firefox 16
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 744388
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 02:22 PDT by Tomer Cohen :tomer
Modified: 2012-08-10 00:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot (93.40 KB, image/png)
2012-03-29 02:22 PDT, Tomer Cohen :tomer
no flags Details

Description Tomer Cohen :tomer 2012-03-29 02:22:46 PDT
Created attachment 610492 [details]
screenshot

I am unable to see tab thumbnails (tabnails? ☺) on the new tab page. After asking few times on #firefox and getting no response, I am filing this bug as I suspect I am not the only one to face these issues. Please note that this issue occur to me on my daily active profile, and I can't reproduce it on a clean profile.

Please dupe if this is a known issue, as I was unable to find a similar issue.

Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20120328 Firefox/13.0a2


  מידע יישום בסיסי

        שם
        Firefox

        גרסה
        13.0a2

        סוכן משתמש
        Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20120328 Firefox/13.0a2

        תיקיית פרופיל

          פתיחת תיקייה

        תוספים חיצוניים פעילים

          about:plugins

        הגדרות בנייה

          about:buildconfig

        דיווחי קריסה

          about:crashes

        שימוש בזכרון

          about:memory

  הרחבות

        שם

        גרסה

        מאופשר

        מזהה

        Add-on Compatibility Reporter
        1.1
        true
        compatibility@addons.mozilla.org

        Firebug
        1.9.1
        true
        firebug@software.joehewitt.com

        Flashblock
        1.5.15.1
        true
        {3d7eb24f-2740-49df-8937-200b1cc08f8a}

        Hebrew spell-checking dictionary (from HSpell)
        1.2.0.1
        true
        he@dictionaries.addons.mozilla.org

        HTTPS-Everywhere
        2.0.1
        true
        https-everywhere@eff.org

        Mozilla Labs App Runtime
        0.5.1
        true
        openwebapps@mozillalabs.com

        Pencil
        1.3.2
        true
        pencil@evolus.vn

        Test Pilot
        1.2.1
        true
        testpilot@labs.mozilla.com

        United States English Spellchecker
        5.0.1
        true
        en-US@dictionaries.addons.mozilla.org

        Diaspora Tools
        0.2.rev260
        false
        jid0-5LQQMCfAyce3TG1l1vgtlEwyHww@jetpack

        FlashGot
        1.4.1
        false
        {19503e42-ca3c-4c27-b1e2-9cdb2170ee34}

        Mozilla Labs: Prospector - LessChrome HD
        7
        false
        lessChrome.HD@prospector.labs.mozilla

        Ubuntu Firefox Modifications
        1.0.3
        false
        ubufox@ubuntu.com

  העדפות חשובות ששונו

      שם

      ערך

        accessibility.blockautorefresh
        true

        accessibility.typeaheadfind.flashBar
        0

        browser.cache.disk.capacity
        1048576

        browser.cache.disk.smart_size.first_run
        false

        browser.cache.disk.smart_size_cached_value
        640000

        browser.places.smartBookmarksVersion
        3

        browser.startup.homepage_override.buildID
        20120328042013

        browser.startup.homepage_override.mstone
        13.0a2

        extensions.checkCompatibility.3.6.previous
        false

        extensions.checkCompatibility.3.6b.previous
        false

        extensions.checkCompatibility.3.6p.previous
        false

        extensions.checkCompatibility.3.6pre.previous
        false

        extensions.checkCompatibility.3.7a.previous
        false

        extensions.checkCompatibility.4.0.previous
        false

        extensions.checkCompatibility.4.0b.previous
        false

        extensions.checkCompatibility.4.0p.previous
        false

        extensions.checkCompatibility.4.0pre.previous
        false

        extensions.checkCompatibility.4.2.previous
        false

        extensions.checkCompatibility.4.2a.previous
        false

        extensions.checkCompatibility.4.2b.previous
        false

        extensions.checkCompatibility.4.2p.previous
        false

        extensions.checkCompatibility.4.2pre.previous
        false

        extensions.checkCompatibility.5.0.previous
        false

        extensions.checkCompatibility.5.0a.previous
        false

        extensions.checkCompatibility.5.0b.previous
        false

        extensions.checkCompatibility.5.0p.previous
        false

        extensions.checkCompatibility.5.0pre.previous
        false

        extensions.checkCompatibility.6.0.previous
        false

        extensions.checkCompatibility.6.0a.previous
        false

        extensions.checkCompatibility.7.0.previous
        false

        extensions.checkCompatibility.7.0a.previous
        false

        extensions.checkCompatibility.8.0.previous
        false

        extensions.checkCompatibility.8.0a.previous
        false

        extensions.checkCompatibility.9.0.previous
        false

        extensions.checkCompatibility.9.0a.previous
        false

        extensions.checkCompatibility.nightly.previous
        false

        extensions.checkCompatibility.previous
        false

        extensions.lastAppVersion
        13.0a2

        gfx.blacklist.suggested-driver-version
        Mesa 7.10.3

        network.cookie.prefsMigrated
        true

        network.protocol-handler.expose.mms
        false

        places.database.lastMaintenance
        1332973457

        places.history.expiration.transient_current_max_pages
        52547

        places.history.expiration.transient_optimal_database_size
        84075970

        plugin.soname.list
        libXt.so

        print.print_printer
        Print to File

        [Removed all other print.* preferences in order to keep this form clean - Tomer)

        privacy.donottrackheader.enabled
        true

        privacy.sanitize.migrateFx3Prefs
        true

        security.OCSP.disable_button.managecrl
        false

        security.warn_viewing_mixed
        false

  גרפיקה

        תיאור מתאם
        GLXtest process failed (exited with status 1): X error occurred in GLX probe, error_code=9, request_code=55, minor_code=0

        מנוע תצוגת WebGL
        חסום עבור הכרטיס הגרפי שלך עקב בעיות לא פתורות במנהל ההתקן.

        חלונות עם האצה גרפית
        0. חסום עבור גרסת מנהל ההתקן הגרפי שברשותך. ניתן לנסות לעדכן את מנהל ההתקן לגרסה Mesa 7.10.3 או חדשה יותר.

        AzureBackend
        skia

  JavaScript

        Incremental GC
        1

  Library Versions

        Expected minimum version

        Version in use

        NSPR
        4.9
        4.9

        NSS
        3.13.3.0 Basic ECC
        3.13.3.0 Basic ECC

        NSS Util
        3.13.3.0
        3.13.3.0

        NSS SSL
        3.13.3.0 Basic ECC
        3.13.3.0 Basic ECC

        NSS S/MIME
        3.13.3.0 Basic ECC
        3.13.3.0 Basic ECC
Comment 1 Nickolay_Ponomarev 2012-04-02 15:48:06 PDT
I found these bugs (via https://bugzilla.mozilla.org/buglist.cgi?quicksearch=ALL%20%22New%20tab%20page%22 ):
- disabled cache (doesn't seem to be your case) - bug 734952
- disabled "allow pages to choose their own colors" - bug 737877

A general bug about thumbnails missing is bug 726267, this is a duplicate of that, unless you figure out a specific reason for the thumbnails to go missing.

For instance, have you tried Safe mode? Backing up and resetting prefs.js?
Comment 2 Tomer Cohen :tomer 2012-04-02 16:34:43 PDT
(In reply to Nickolay_Ponomarev from comment #1)
> For instance, have you tried Safe mode? Backing up and resetting prefs.js?

Below is a copy of the comment I left in the other bug. As you can see, I got it fixed by resetting the cache, which means that something is probably wrong there.

✁───────

I have similar issue and reported it on bug 740287. After making sure that both browser.display.use_document_colors and browser.cache.disk.enable are both true, I closed the browser and deleted the whole Cache folder from my profile. After starting the browser again I can see (for the first time) an image on my new tab page, which is gmail. I guess that the icons are now repopulating themselves, and soon enough I'll have thumbnails for every button on the page. 

This experiment can confirm that in my case it was something wrong with the caching mechanism. I still have a backup of my Cache, in case you have an idea what could cause it.
Comment 3 Tim Taubert [:ttaubert] 2012-04-11 07:17:28 PDT
Will be fixed by bug 744388.
Comment 4 Tim Taubert [:ttaubert] 2012-05-02 07:26:36 PDT
Fixed by bug 744388.

Note You need to log in before you can comment on or make changes to this bug.